package com.xydl.cac.service;

import com.xydl.cac.entity.Bdz;
import com.xydl.cac.entity.IcdConfigTypeInst;
import com.xydl.cac.model.BindDetail;
import com.xydl.cac.model.BindingModel;
import com.xydl.cac.model.Response;

import java.util.List;

public interface ParamBindService {

    List<Bdz> getTrunk() throws Exception;

    List<Bdz> getTree(boolean ignoreEmpty) throws Exception;

    List<IcdConfigTypeInst> instList(String iedName);

    Response preview(BindingModel item) throws Exception;

    void bind(BindingModel item) throws Exception;

    void unbind(Integer sensorId) throws Exception;

    BindDetail getBind(Integer sensorId) throws Exception;

    String updateParamindex() throws Exception;

    void clearAll();
}
